/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface SamplingPointsServicesRsSlots
 */
export interface SamplingPointsServicesRsSlots {
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesRsSlots
     */
    id: number;
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesRsSlots
     */
    samplingPointsServicesRsId: number;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesRsSlots
     */
    startAt: Date;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesRsSlots
     */
    note?: string | null;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesRsSlots
     */
    updatedAt: Date;
}

export function SamplingPointsServicesRsSlotsFromJSON(json: any): SamplingPointsServicesRsSlots {
    return SamplingPointsServicesRsSlotsFromJSONTyped(json, false);
}

export function SamplingPointsServicesRsSlotsFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsServicesRsSlots {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'id': json['id'],
        'samplingPointsServicesRsId': json['sampling_points_services_rs_id'],
        'startAt': (new Date(json['start_at'])),
        'note': !exists(json, 'note?') ? undefined : json['note?'],
        'updatedAt': (new Date(json['updated_at'])),
    };
}

export function SamplingPointsServicesRsSlotsToJSON(value?: SamplingPointsServicesRsSlots | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'id': value.id,
        'sampling_points_services_rs_id': value.samplingPointsServicesRsId,
        'start_at': (value.startAt.toISOString()),
        'note?': value.note,
        'updated_at': (value.updatedAt.toISOString()),
    };
}


